SystemOrganization addCategory: #'Equipment-TIT'!

Object subclass: #AnalogInput
	instanceVariableNames: 'value pointValue label'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

!AnalogInput methodsFor: 'accessing' stamp: 'CostePierron 4/27/2012 16:46'!
label
^label.! !

!AnalogInput methodsFor: 'accessing' stamp: 'CostePierron 4/27/2012 16:47'!
label: aByteString 
label:=aByteString.! !

!AnalogInput methodsFor: 'accessing' stamp: 'CostePierron 4/27/2012 16:20'!
pointValue
^pointValue ifNil: [0].! !

!AnalogInput methodsFor: 'accessing' stamp: 'CostePierron 4/27/2012 16:37'!
pointValue: aSmallInteger 
	pointValue:= 0 max: (32767 min: aSmallInteger) .
! !

Object subclass: #DigitalInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

Object subclass: #RFGenerator
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

TestCase subclass: #TestAnalogInput
	instanceVariableNames: 'power'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

!TestAnalogInput methodsFor: 'as yet unclassified' stamp: 'CostePierron 4/27/2012 16:15'!
test15000ShouldBe15000
power:=AnalogInput new.
power pointValue: 15000.
self assert: 15000 = power pointValue.! !

!TestAnalogInput methodsFor: 'as yet unclassified' stamp: 'CostePierron 4/27/2012 16:00'!
testDefaultShouldBeZero
power:=AnalogInput new.
power label: 'QPW1'.
self assert: 0 = power pointValue.! !

!TestAnalogInput methodsFor: 'as yet unclassified' stamp: 'CostePierron 4/27/2012 16:46'!
testlabelQPW1
power:=AnalogInput new.
power label: 'QPW1'.
self assert: 'QPW1'= power label.! !

!TestAnalogInput methodsFor: 'as yet unclassified' stamp: 'CostePierron 4/27/2012 16:29'!
testmax
power:=AnalogInput new.
power pointValue: 40000.
self assert: 32767 = power pointValue.! !

!TestAnalogInput methodsFor: 'as yet unclassified' stamp: 'CostePierron 4/27/2012 16:26'!
testmin
power:=AnalogInput new.
power pointValue: -1.
self assert: 0 = power pointValue.! !

TestCase subclass: #TestDigitalInput
	instanceVariableNames: 'power pwrOn rfOn myGenerator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

!TestDigitalInput methodsFor: 'as yet unclassified' stamp: 'CostePierron 4/27/2012 17:18'!
testInit
pwrOn := DigitalInput new.
pwrOn label: 'PWRON'.

rfOn:=DigitalInput new.
rfOn label: 'RFON'.

myGenerator := RFGenerator new.
myGenerator 
	inputPwrOn: pwrOn;
	inputrfOn: rfOn.
	
pwrOn stateOff.
rfOn stateOff.! !
